#ifndef __hspdsp__
#define __hspdsp__

#ifndef __HSPDSP_X64__
#uselib "hspdsp.dll"
#else
#uselib "hspdsp64.dll"
#endif

#ifndef FALSE
#define global FALSE 0
#endif
#ifndef TRUE
#define global TRUE 1
#endif

#define	global WM_GRAPH_NOTIFY	0x8197
#define	global EV_DSP_STOP 33175
#define global VMR_DEFAULT_MODE 0
#define global VMR_WINDOW_MODE 1
#define global VMR_WINDOWLESS_MODE 2
#define global VMR_RENDERLESS_MODE 4
#define global OPEN_DEFAULT_RENDERER 0
#define global OPEN_VIDEO_RENDERER 1
#define global OPEN_VMR7 2
#define global OPEN_VMR9 3
#define global OPEN_EVR 4
#define global OPEN_NO_RENDERER 5
#define global OPEN_NULL_RENDERER 6
#define global OPEN_NOAUDIO_VIDEO_RENDERER 11
#define global OPEN_NOAUDIO_VMR7 12
#define global OPEN_NOAUDIO_VMR9 13
#define global OPEN_NOAUDIO_EVR 14

#define global CURSOR_HIDE 0
#define global CURSOR_SHOW 1
#define global CURSOR_CHECK 2
#define global VIDEO_SIZE_X 0
#define global VIDEO_SIZE_Y 1
#define global ALL_PLAYTIME 2
#define global NOW_PLAYTIME 3
#define global AUDIO_BALANCE 0
#define global AUDIO_VOLUME 1
#define global STREAM_SYNC_FALSE 0
#define global STREAM_SYNC_TRUE 1
#define global FULLSCREEN_FALSE 0
#define global FULLSCREEN_TRUE 1
#define global FULLSCREEN_CHECK 2
#define global BOOL_FALSE 0
#define global BOOL_TRUE 1

#define global AM_DVD_HWDEC_PREFER 0x1
#define global AM_DVD_HWDEC_ONLY 0x2
#define global AM_DVD_SWDEC_PREFER 0x4
#define global AM_DVD_SWDEC_ONLY 0x8
#define global AM_DVD_NOVPE 0x100
#define global AM_DVD_DO_NOT_CLEAR 0x200
#define global AM_DVD_VMR9_ONLY 0x800
#define global AM_DVD_EVR_ONLY 0x1000
#define global AM_DVD_EVR_QOS 0x2000
#define global AM_DVD_ADAPT_GRAPH 0x4000
#define global AM_DVD_MASK 0xffff

#ifndef SRCCOPY
#define global SRCCOPY 0xcc0020	//̂܂ܓ]
#endif

#ifndef SRCPAINT
#define global SRCPAINT 0xee0086	//]̉摜ORZē]
#endif

#ifndef SRCAND
#define global SRCAND 0x8800c6	//]̉摜ANDZē]
#endif

#ifndef SRCINVERT
#define global SRCINVERT 0x660046	//wi𔽉fĐF𔽓]ē]
#endif

#ifndef SRCERASE
#define global SRCERASE 0x440328
#endif

#ifndef NOTSRCCOPY
#define global NOTSRCCOPY 0x330008	//F𔽓]ē]
#endif

#ifndef NOTSRCERASE
#define global NOTSRCERASE 0x1100a6
#endif

#ifndef MERGECOPY
#define global MERGECOPY 0xc000ca
#endif

#ifndef MERGEPAINT
#define global MERGEPAINT 0xbb0226
#endif

#ifndef PATCOPY
#define global PATCOPY 0xf00021
#endif

#ifndef PATPAINT
#define global PATPAINT 0xfb0a09
#endif

#ifndef PATINVERT
#define global PATINVERT 0x5a0049
#endif

#ifndef DSTINVERT
#define global DSTINVERT 0x550009
#endif

#ifndef BLACKNESS
#define global BLACKNESS 0x000042
#endif

#ifndef WHITENESS
#define global WHITENESS 0xff0062
#endif

#func global dsp_Init "dsp_Init"
#func global dsp_Exit "dsp_Exit"
#func global dsp_Play "dsp_Play" int,int,int,int,int
#func global dsp_Play2 "dsp_Play2"
#cfunc global dsp_Version "dsp_Version"
#cfunc global dsp_BuildVersion "dsp_BuildVersion"
#func global dsp_Open "dsp_Open" str,int,int,int,int,int
#func global dsp_Resize "dsp_Resize" int,int,int,int,int
#func global dsp_Stop "dsp_Stop"
#cfunc global dsp_Info "dsp_Info" int
#cfunc global dsp_GetVideoSize "dsp_GetVideoSize" int
#cfunc global dsp_GetAllPlayTime "dsp_GetAllPlayTime" 
#cfunc global dsp_GetNowPlayTime "dsp_GetNowPlayTime"
#func global dsp_SetSeek "dsp_SetSeek" double
#func global dsp_SetSeek2 "dsp_SetSeek2" int
#func global dsp_SetSpeed "dsp_SetSpeed" double
#func global dsp_SetSpeed2 "dsp_SetSpeed2" int
#func global dsp_SetVolume "dsp_SetVolume" int,int
#func global dsp_Close "dsp_Close"
#cfunc global dsp_GetStopped "dsp_GetStopped"
#cfunc global dsp_GetMediaEvId "dsp_GetMediaEvId"
#cfunc global dsp_GetMediaEvStr "dsp_GetMediaEvStr" int
#cfunc global dsp_GetState "dsp_GetState"
#func global dsp_FilterProp "dsp_FilterProp" int,wstr
#func global dsp_Test "dsp_Test"	//eXgp(fobO)
#func global dsp_SetEvHWND "dsp_SetEvHWND" int
#cfunc global dsp_GetOSVersion "GetOSVersion"
#func global dsp_FullScreen "dsp_FullScreen" int
#func global dsp_CreateThread "dsp_CreateThread" int,int
#func global dsp_DestoryThread "dsp_DestoryThread"
#cfunc global dsp_GetThreadHWND "dsp_GetThreadHWND"
#func global dsp_VMRMixImage "dsp_VMRMixImage" int,int,int,int,int,float,float,float,float,float,int,int,int,int
#func global dsp_SetHideCursor "dsp_SetHideCursor" int
#cfunc global dsp_GetVideoWindow "dsp_GetVideoWindow" int
#func global dsp_SetVideoWindow "dsp_SetVideoWindow" int,int
#cfunc global dsp_GetMediaSeeking "dsp_GetMediaSeeking" int
#func global dsp_SetMediaSeeking "dsp_SetMediaSeeking" int,int
#func global dsp_SetSyncSource "dsp_SetSyncSource"
#cfunc global SetColorRef "SetColorRef" int,int,int
#cfunc global dsp_t "dsp_t"		//eXgQp(fobO)
#func global dsp_SetFrameStep "dsp_SetFrameStep" int
#func global dsp_CanselFrameStep "dsp_CanselFrameStep"
#cfunc global dsp_CanFrameStep "dsp_CanFrameStep" int
#func global dsp_SetAudioClockSlave "dsp_SetAudioClockSlave" int
#cfunc global dsp_GetAudioClockSlave "dsp_GetAudioClockSlave"
#cfunc global dsp_GetAvgFrameRate "dsp_GetAvgFrameRate"
#cfunc global dsp_GetAvgSyncOffset "dsp_GetAvgSyncOffset"
#cfunc global dsp_GetDevSyncOffset "dsp_GetDevSyncOffset"
#cfunc global dsp_GetFramesDrawn "dsp_GetFramesDrawn"
//#func global dsp_SetHideCursor "dsp_SetHideCursor" int

#cfunc global dsp_GetFramesDroppedInRenderer "dsp_GetFramesDroppedInRenderer"
#cfunc global dsp_GetJitter "dsp_GetJitter"
#func global dsp_SetGraphStreams "dsp_SetGraphStreams" int,int
#func global dsp_SetClockDelta "dsp_SetClockDelta" int
#func global SetMasterVolume "SetMasterVolume" int
#func global SetMasterVolumeVista "SetMasterVolumeVista" int
#cfunc global GetMasterVolume "GetMasterVolume"
#cfunc global GetMasterVolumeVista "GetMasterVolumeVista"
#func global SetMute "SetMute" int
#func global SetMuteVista "SetMuteVista" int
#cfunc global GetMute "GetMute"
#cfunc global GetMuteVista "GetMuteVista"
#cfunc global GetDSFilterNum "GetDSFilterNum"
#func global dsp_CaptureVideo "dsp_CaptureVideo" int,int,int,int,int,int
#func global dsp_CaptureVideoEx "dsp_CaptureVideoEx" int,int,int,int,int,int
#func global dsp_UseCaptureVideoEx "dsp_UseCaptureVideoEx" int
#func global dsp_SetCaptureBufferSamples "dsp_SetCaptureBufferSamples" int
#func global dsp_ProxyFilter "dsp_ProxyFilter" int,wstr,int
#func global dsp_SetVMRAspect "dsp_SetVMRAspect" int
#cfunc global dsp_GetVMRAspect "dsp_GetVMRAspect"
#func global dsp_SetLogFile "dsp_SetLogFile" str
#func global dsp_CloseLogFile "dsp_CloseLogFile"
#func global dsp_StreamFilterList "dsp_StreamFilterList" var
#func global dsp_FilterList "dsp_FilterList" var
#cfunc global dsp_GetActiveSel "dsp_GetActiveSel"
#func global dsp_SetActiveSel "dsp_SetActiveSel" int

#func global dsp_GetDeviceList "dsp_GetDeviceList" var
#cfunc global dsp_GetDeviceListSize "dsp_GetDeviceListSize"

#func global dsp_OpenAVIKeyFrame "dsp_OpenAVIKeyFrame" str
#func global dsp_SetAVIKeyFrameSeek "dsp_SetAVIKeyFrameSeek" double
#cfunc global dsp_GetAVIKeyFramePointer "dsp_GetAVIKeyFramePointer"
#func global dsp_SetAVIKeyFramePointer "dsp_SetAVIKeyFramePointer" int
#func global dsp_CloseAVIKeyFrame "dsp_CloseAVIKeyFrame"


;#func global Test_DVDPlay "Test_DVDPlay" int,int,int,int,int,wstr
#func global dsp_DVDOpen "dsp_DVDOpen" wstr,int
#func global dsp_DVDPlay "dsp_DVDPlay" int,int,int,int,int
#func global dsp_DVDPlay2 "dsp_DVDPlay2"
#func global dsp_DVDStop "dsp_DVDStop"
#func global dsp_DVDClose "dsp_DVDClose"
#func global dsp_DVDPause "dsp_DVDPause"
#func global dsp_GetDVDVolumeInfo "dsp_GetDVDVolumeInfo" var,var,var,var
#cfunc global dsp_GetDVDChapters "dsp_GetDVDChapters" int
#func global dsp_DVDPause2 "dsp_DVDPause2" int
#func global dsp_DVDPlayAtTime "dsp_DVDPlayAtTime" int,int,int
#func global dsp_DVDPlayAtTimeInTitle "dsp_DVDPlayAtTimeInTitle" int,int,int,int
#func global dsp_DVDPlayBackwards "dsp_DVDPlayBackwards" double
#func global dsp_DVDPlayChapter "dsp_DVDPlayChapter" int
#func global dsp_DVDPlayChapterInTitle "dsp_DVDPlayChapterInTitle" int,int
#func global dsp_DVDPlayChaptersAutoStop "dsp_DVDPlayChaptersAutoStop" int,int,int
#func global dsp_DVDPlayForwards "dsp_DVDPlayForwards" double
#func global dsp_DVDPlayNextChapter "dsp_DVDPlayNextChapter" 
#func global dsp_DVDPlayPeriodInTitleAutoStop "dsp_DVDPlayPeriodInTitleAutoStop" int,int,int,int,int,int,int
#func global dsp_DVDPlayPrevChapter "dsp_DVDPlayPrevChapter"
#func global dsp_DVDPlayTitle "dsp_DVDPlayTitle" int
#func global dsp_DVDReplayChapter "dsp_DVDReplayChapter"
#func global dsp_DVDStop2 "dsp_DVDStop2"
#func global dsp_GetDVDCurrentLocation "dsp_GetDVDCurrentLocation" var,var,var,var,var
#cfunc global dsp_DVDGetVolume "dsp_DVDGetVolume" int
#func global dsp_DVDSetVolume "dsp_DVDSetVolume" int, int
#func global dsp_GetDVDTotalTitleTime "dsp_GetDVDTotalTitleTime" var,var,var
#func global dsp_DVDStillOff "dsp_DVDStillOff"
#func global dsp_DVDSelectVideoModePreference "dsp_DVDSelectVideoModePreference" int
#func global dsp_DVDSelectAngle "dsp_DVDSelectAngle" int
#func global dsp_DVDSelectAudioStream "dsp_DVDSelectAudioStream" int
#func global dsp_DVDSelectDefaultAudioLanguage "dsp_DVDSelectDefaultAudioLanguage" int,int
#func global dsp_DVDSelectKaraokeAudioPresentationMode "dsp_DVDSelectKaraokeAudioPresentationMode" int
#func global dsp_DVDSelectDefaultSubpictureLanguage "dsp_DVDSelectDefaultSubpictureLanguage" int,int
#func global dsp_DVDSelectSubpictureStream "dsp_DVDSelectSubpictureStream" int
#func global dsp_SetDVDSubpictureState "dsp_SetDVDSubpictureState" int
#func global dsp_SetDVDDirectory "dsp_SetDVDDirectory" wstr
#func global dsp_SetDVDOption "dsp_SetDVDOption" int,int
#func global dsp_DVDActivateAtPosition "dsp_DVDActivateAtPosition" int,int
#func global dsp_DVDActivateButton "dsp_DVDActivateButton"
#func global dsp_DVDResume "dsp_DVDResume"
#func global dsp_DVDReturnFromSubmenu "dsp_DVDReturnFromSubmenu"
#func global dsp_DVDSelectAtPosition "dsp_DVDSelectAtPosition" int,int
#func global dsp_DVDSelectAndActivateButton "dsp_DVDSelectAndActivateButton" int
#func global dsp_DVDSelectButton "dsp_DVDSelectButton" int
#func global dsp_DVDSelectDefaultMenuLanguage "dsp_DVDSelectDefaultMenuLanguage" int
#func global dsp_DVDSelectRelativeButton "dsp_DVDSelectRelativeButton" int
#func global dsp_DVDShowMenu "dsp_DVDShowMenu" int
#func global dsp_GetDVDButtonAtPosition "dsp_GetDVDButtonAtPosition" int,int,var
//̃\bh͌ݎĂȂB
#func global dsp_GetDVDButtonRect "dsp_GetDVDButtonRect" int,var,var,var,var
#func global dsp_GetDVDCurrentButton "dsp_GetDVDCurrentButton" var,var
#func global dsp_GetDVDDefaultMenuLanguage "dsp_GetDVDDefaultMenuLanguage" var
#cfunc global dsp_GetDVDMenuLanguagesSize "dsp_GetDVDMenuLanguagesSize"
#func global dsp_GetDVDMenuLanguages "dsp_GetDVDMenuLanguages" var,int
#func global dsp_GetDVDCurrentAngle "dsp_GetDVDCurrentAngle" var,var
#func global dsp_GetDVDCurrentVideoAttributes "dsp_GetDVDCurrentVideoAttributes" int,var
#func global dsp_GetDVDAudioAttributes "dsp_GetDVDAudioAttributes" int,int,var
#func global dsp_GetDVDAudioLanguage "dsp_GetDVDAudioLanguage" int,var
#func global dsp_GetDVDCurrentAudio "dsp_GetDVDCurrentAudio" var,var
#func global dsp_GetDVDDecoderCaps "dsp_GetDVDDecoderCaps" int,var
#func global dsp_GetDVDDefaultAudioLanguage "dsp_GetDVDDefaultAudioLanguage" var,var
#func global dsp_IsDVDAudioStreamEnabled "dsp_IsDVDAudioStreamEnabled" int,var

;#uselib "hspdsp.dll"
#define global dsp_MDetInit dsp_Init
#define global dsp_MDetExit dsp_Exit
#func global dsp_MDetOpen "dsp_MDetOpen" str
#func global dsp_MDetClose "dsp_MDetClose"
#cfunc global dsp_MDetGetStreamType "dsp_MDetGetStreamType" 
#cfunc global dsp_MDetGetStreamLength "dsp_MDetGetStreamLength" 
#cfunc global dsp_MDetGetFrameRate "dsp_MDetGetFrameRate" 
#func global dsp_MDetSetCurrentStream "dsp_MDetSetCurrentStream" int
#cfunc global dsp_MDetGetOutputStreams "dsp_MDetGetOutputStreams" 
#cfunc global dsp_MDetGetStreamFrames "dsp_MDetGetStreamFrames"
#func global dsp_MDetGetStreamGrab "dsp_MDetGetStreamGrab" int,double,int,int,int,int,int,int,int
#cfunc global dsp_MDetGetStreamInfo "dsp_MDetGetStreamInfo" int

// %1 = frame , %2 = fps ,%3 =time 
#define global ctype dsp_MDetFrameToTime(%1,%2,%3) ((1.0*%1/(%3*%2))*%3)

//gpł܂
#module _HSPDSP_FILTERLIST_
#uselib "hspdsp.dll"
#func global _GetDSFilterName "GetDSFilterName" int,int
#cfunc global _GetDSFilterNameNext "GetDSFilterNameNext"
#cfunc global _GetDSFilterNum "GetDSFilterNum"
#deffunc GetDSFilterName var p1
	sdim p3,1024
	sdim p2,4096
	num=_GetDSFilterNum()
	repeat num
		_GetDSFilterName cnt,varptr(p3)
		num=_GetDSFilterNameNext()
		p2+=""+p3+"\n"
	loop
	p1=p2
return
//#defcfunc dsp_MDetFrameToTime int p1,int p2,int p3
//return 
#global
//gpł܂

#endif